package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.LandmarkType;


/**
*  service接口类
*/
public interface LandmarkTypeService{

    List<LandmarkType> getLandmarkTypeList(LandmarkType record);

    List<LandmarkType> getLandmarkTypeAllAreaList(LandmarkType record);

    List<LandmarkType> getLandmarkTypeByPage(Page page, LandmarkType record);

    LandmarkType getLandmarkTypeById(String id);

    LandmarkType getLandmarkType(LandmarkType record);

    boolean createLandmarkType(LandmarkType record);

    boolean deleteLandmarkType(LandmarkType record);

    boolean updateLandmarkType(LandmarkType record);
}

